From: "罗百科" <patrick@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-db/plr/
Date: Fri, 19 Jan 2024 13:24:50 +0000 (UTC) [thread overview]
Message-ID: <1705670684.9a8438f6717e506db4af00c80cbe098e2e44a5ef.patrick@gentoo> (raw)
commit: 9a8438f6717e506db4af00c80cbe098e2e44a5ef
Author: Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 19 13:22:49 2024 +0000
Commit: 罗百科 <patrick <AT> gentoo <DOT> org>
CommitDate: Fri Jan 19 13:24:44 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9a8438f6
dev-db/plr: add 8.4.6
Signed-off-by: Patrick Lauer <patrick <AT> gentoo.org>
dev-db/plr/Manifest | 1 +
dev-db/plr/plr-8.4.6.ebuild | 70 +++++++++++++++++++++++++++++++++++++++++++++
2 files changed, 71 insertions(+)
diff --git a/dev-db/plr/Manifest b/dev-db/plr/Manifest
index 6b8423543b46..e3e94a94bb3c 100644
--- a/dev-db/plr/Manifest
+++ b/dev-db/plr/Manifest
@@ -1 +1,2 @@
DIST plr-8.4.5.tar.gz 273711 BLAKE2B 666941f1cbc7e74dee532b928102afda4684b344f3c69a6ac4e3449c057e8f4dbb74b765f4222bb06e61940fa1e4ba888cc60bac193ca43989b557da9d02ceaa SHA512 bb04a8956d1cdc7acb20c89ea3b17be6ee385dac52381ab0f8af7446480fa9b8d163ff6697a05b439a75f57841b203e65bea78db8a7c3d55c1118bebbf4ac81a
+DIST plr-8.4.6.tar.gz 277578 BLAKE2B 575426e44e553f52dfe9b4bd1eb8de1b72e9023abe086c6b1570dabcda1b5e99a8eebce9c5b0e97019aec969b369e15a83801d51b8531695026e1a9bdc79d5c0 SHA512 de5f6b094f4eb6f88df6134142c461bc4ebd6a692c3db03cf04e1d0f04b71d63a26bce22defc1f25fa627c7bc4ba63c533dd2df1f571b58cb04d29c7eada2e42
diff --git a/dev-db/plr/plr-8.4.6.ebuild b/dev-db/plr/plr-8.4.6.ebuild
new file mode 100644
index 000000000000..bb10bae54f14
--- /dev/null
+++ b/dev-db/plr/plr-8.4.6.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+POSTGRES_COMPAT=( {12..16} )
+POSTGRES_USEDEP="server"
+
+inherit postgres-multi
+
+DESCRIPTION="R language extension for postgresql database"
+HOMEPAGE="http://www.joeconway.com/plr/"
+SRC_URI="https://github.com/postgres-plr/plr/archive/REL${PV//./_}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="dev-lang/R
+ ${POSTGRES_DEP}"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+REQUIRED_USE="${POSTGRES_REQ_USE}"
+
+S="${WORKDIR}"/contrib/${PN}
+
+src_unpack() {
+ unpack ${A}
+
+ # the build system wants 'contrib' to be part of the path
+ mkdir -p "${WORKDIR}/contrib" || die
+ mv "${WORKDIR}/${PN}-REL${PV//./_}" "${S}" || die
+}
+
+src_prepare() {
+ local BUILD_DIR="${S}"
+ postgres-multi_src_prepare
+}
+
+src_compile() {
+ pg_src_compile() {
+ cd "${BUILD_DIR}"
+ PG_CONFIG="${ESYSROOT}/usr/$(get_libdir)/postgresql-${MULTIBUILD_ID}/bin/pg_config" \
+ USE_PGXS=1 \
+ emake -j1
+ }
+ postgres-multi_foreach pg_src_compile
+}
+
+src_install() {
+ pg_src_install() {
+ cd "${BUILD_DIR}"
+ PG_CONFIG="${ESYSROOT}/usr/$(get_libdir)/postgresql-${MULTIBUILD_ID}/bin/pg_config" \
+ USE_PGXS=1 \
+ emake -j1 DESTDIR="${D}" install
+ }
+ postgres-multi_foreach pg_src_install
+}
+
+pkg_postinst() {
+ elog "The plr extension needs to be explicitly added (or 'created') on each database"
+ elog "you wish to use it with. As of postgresql-9.1 the easiest way to do this is"
+ elog "with the proprietary SQL statement:"
+ elog
+ elog "\tCREATE EXTENSION plr;"
+ elog
+ elog "For more info on how to add PL/R to your postgresql database(s), please visit"
+ elog "http://www.joeconway.com/doc/plr-install.html"
+}
next reply other threads:[~2024-01-19 13:24 UTC|newest]
Thread overview: 11+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-01-19 13:24 罗百科 [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-01-19 13:24 [gentoo-commits] repo/gentoo:master commit in: dev-db/plr/ 罗百科
2022-09-24 20:42 Andreas Sturmlechner
2022-05-14 0:47 Sam James
2021-08-22 21:53 David Seifert
2020-12-10 13:11 Aaron W. Swenson
2020-09-27 10:56 罗百科
2020-08-14 0:49 Aaron W. Swenson
2019-06-15 10:58 Aaron W. Swenson
2018-05-13 16:56 Aaron Swenson
2017-12-28 20:56 Ian Stakenvicius
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1705670684.9a8438f6717e506db4af00c80cbe098e2e44a5ef.patrick@gentoo \
--to=patrick@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox